| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sMeasurementConditions Struct Reference

Summary of the parameters used to make a measurement. More...

`#include <THM1176Types.h>`

Collaboration diagram for MTL::Instrument::THM1176Types::sMeasurementConditions:
[legend]

## Public Member Functions
| sMeasurementConditions (sAveraging< uParm > AvgParms={ }, sInputTrigger< uParm > TrigParms={ }, bool UseCal=false, tFlux RangeIn=0.)
| Constructor.
void | clear ()
| Clear to default values.
bool | operator== (sMeasurementConditions other) const
| Equality operator.
bool | operator!= (sMeasurementConditions other) const
| Inequality operator.

## Public Attributes
sAveraging< uParm > | AveragingParms
| Averaging parameters.
sInputTrigger< uParm > | TriggerParms
| Trigger parameters.
bool | UseCalibration = false
| Use calibration data.
tFlux | Range
| Current range setting.

## Detailed Description

Summary of the parameters used to make a measurement.

Definition at line 618 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sMeasurementConditions()

MTL::Instrument::THM1176Types::sMeasurementConditions::sMeasurementConditions | ( | sAveraging< uParm > | AvgParms = { },
|  | sInputTrigger< uParm > | TrigParms = { },
|  | bool | UseCal = false,
|  | tFlux | RangeIn = 0. )
| inline

Constructor.

Parameters

  [in] | AvgParms | Averaging parameters.
  [in] | TrigParms | Trigger parameters.
  [in] | UseCal | Use calibration data.
  [in] | RangeIn | Current range setting.

Definition at line 631 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

void MTL::Instrument::THM1176Types::sMeasurementConditions::clear | ( |  | ) |

Clear to default values.

Definition at line 509 of file THM1176Types.cpp.

## ◆ operator!=()

bool MTL::Instrument::THM1176Types::sMeasurementConditions::operator!= | ( | sMeasurementConditions | other | ) | const

Inequality operator.

Definition at line 525 of file THM1176Types.cpp.

## ◆ operator==()

bool MTL::Instrument::THM1176Types::sMeasurementConditions::operator== | ( | sMeasurementConditions | other | ) | const

Equality operator.

Definition at line 516 of file THM1176Types.cpp.

## Member Data Documentation

## ◆ AveragingParms

sAveraging<uParm> MTL::Instrument::THM1176Types::sMeasurementConditions::AveragingParms

Averaging parameters.

Definition at line 620 of file THM1176Types.h.

## ◆ Range

tFlux MTL::Instrument::THM1176Types::sMeasurementConditions::Range

Current range setting.

Definition at line 623 of file THM1176Types.h.

## ◆ TriggerParms

sInputTrigger<uParm> MTL::Instrument::THM1176Types::sMeasurementConditions::TriggerParms

Trigger parameters.

Definition at line 621 of file THM1176Types.h.

## ◆ UseCalibration

bool MTL::Instrument::THM1176Types::sMeasurementConditions::UseCalibration = false

Use calibration data.

Definition at line 622 of file THM1176Types.h.

The documentation for this struct was generated from the following files:

- THM1176InstrumentDriver/include/THM1176Types.h
- THM1176InstrumentDriver/src/THM1176Types.cpp